using ScrambleKit;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GhostGetsPizza : MonoBehaviour
{

    public FXTrigger stealFX;
    public FXTrigger tauntFX;

    private Cargo cargo;
    void Start()
    {
        cargo = GetComponent<Cargo>();
    }

    void OnStoleFromPlayer(Cargo.ItemType cargoType)
    {
        stealFX.Trigger(transform);
        cargo.type = cargoType;
        Invoke("Taunt", 0.75f);
    }

    void Taunt()
    {
        tauntFX.Trigger(transform);
    }
}
